﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 1001: (1 year) VER RS-232 /9500+1Hd
DATE:                  2010-08-10 11:28:05
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       200
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 1001
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Subprocedures:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT RS-232 Connection DTE DB9 (m)
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup RS-232
#        Sub Tek TDS1000/2000 Self-Test RS-232
#        Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
#        Sub Tek TDS1000/2000 Select Channel RS-232
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd
#        Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000/2000 Setup RS-232
  1.018  JMPL         END                          @Abort
  1.019  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.020  PORT         *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.023  MATH         @UUT_Model = "TDS 1001"
  1.024  MATH         @UUT_Manufacturer = "Tektronix"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                          @Abort

  1.027  CALL         Sub Tek TDS1000/2000 Specifications

  1.028  MATH         @NumHeads = 1
  1.029  CALL         Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
  1.030  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    5.   BANDWIDTH(CH1)                     EDGE-TRIGGER SENSITIVITY(CH1)
#    6.   BANDWIDTH(CH2)                     SAMPLE RATE AND DELAY TIME ACC
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      DCV MEASUREMENT ACC(CH2)
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH2)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH2)
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   11.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.031  CALL         Sub Tek TDS1000/2000 Self-Test RS-232
  1.032  JMPL         END                          @Abort
  1.033  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
  1.034  JMPL         END                          @Abort

  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500
  1.037  JMPL         BANDWIDTH_CH1

  1.038  LABEL        DCV_CH2
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500
  1.041  JMPL         BANDWIDTH_CH2

  1.042  LABEL        BANDWIDTH_CH1
  1.043  MATH         @Chan = 1
  1.044  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500
  1.045  JMPL         TRIG_CH1

  1.046  LABEL        BANDWIDTH_CH2
  1.047  MATH         @Chan = 2
  1.048  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500
  1.049  JMPL         TRIG_CH2

  1.050  LABEL        TRIG_CH1
  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500
  1.053  JMPL         SAMPLE_RATE_DELAY_TIME

  1.054  LABEL        TRIG_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500

  1.057  MATH         @Chan = 1
  1.058  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.059  MATH         @Chan = 2
  1.060  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd
  1.061  JMPL         END

  1.062  LABEL        SAMPLE_RATE_DELAY_TIME
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500
  1.065  JMPL         DCV_CH2

  1.066  LABEL        END

  1.067  IF           @Abort
  1.068  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.069  ELSE
  1.070  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.071  ENDIF

  1.072  PORT         *RST
  1.073  END
